com.google.appengine.api.datastore.dev

## Enum LocalDatastoreService.AutoIdAllocationPolicy

- java.lang.Object
- - java.lang.Enum<LocalDatastoreService.AutoIdAllocationPolicy>
  - - com.google.appengine.api.datastore.dev.LocalDatastoreService.AutoIdAllocationPolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LocalDatastoreService.AutoIdAllocationPolicy>
  Enclosing class:
    LocalDatastoreService

      public static enum LocalDatastoreService.AutoIdAllocationPolicy
      extends java.lang.Enum<LocalDatastoreService.AutoIdAllocationPolicy>

  The set of supported values for autoIdAllocationPolicy, which controls how auto IDs are assigned by put().

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SCATTERED`
    `SEQUENTIAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static LocalDatastoreService.AutoIdAllocationPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LocalDatastoreService.AutoIdAllocationPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SEQUENTIAL

          public static final LocalDatastoreService.AutoIdAllocationPolicy SEQUENTIAL

    - #### SCATTERED

          public static final LocalDatastoreService.AutoIdAllocationPolicy SCATTERED

  - ### Method Detail

    - #### values

          public static LocalDatastoreService.AutoIdAllocationPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LocalDatastoreService.AutoIdAllocationPolicy c : LocalDatastoreService.AutoIdAllocationPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LocalDatastoreService.AutoIdAllocationPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null